package eu.mhsl.craftattack.spawn.common.appliances.tooling.endPrevent;

import eu.mhsl.craftattack.core.appliance.ApplianceListener;
import net.kyori.adventure.text.Component;
import net.kyori.adventure.text.format.NamedTextColor;
import org.bukkit.Material;
import org.bukkit.event.EventHandler;
import org.bukkit.event.player.PlayerInteractEvent;

class PreventEnderEyeUseListener extends ApplianceListener<EndPrevent> {
    @EventHandler
    public void onEnderEyeInteraction(PlayerInteractEvent event) {
        if(event.getClickedBlock() == null) return;
        if(!event.getClickedBlock().getType().equals(Material.END_PORTAL_FRAME)) return;
        if(event.getItem() == null) return;
        if(!event.getItem().getType().equals(Material.ENDER_EYE)) return;

        if(!this.getAppliance().isEndDisabled()) return;

        event.setCancelled(true);
        event.getPlayer().sendActionBar(Component.text("Das End ist noch nicht freigeschaltet!", NamedTextColor.RED));
    }
}
